<?php

function template_management()
{
	global $txt, $scripturl, $context, $boardurl, $flashchatsetting;
	echo '
<div class="cat_bar">
	<h3 class="catbg"> '.$txt['chat_flashchatsetting'].' </h3>
</div>
<div class="windowbg2">
	<span class="topslice"><span></span></span>
<form action="', $scripturl, '?action=chatmanagement" method="post" name="adminForm" id="adminForm">
<div class="content">
';
if (isset($_POST['step']) && $_POST['step'] == 2){
	if(isset($context['error'])){
		echo '<div style="color:red; text-align:center;">'.$context['error'].'</div>';
	} else {
		echo '<div style="color:green; text-align:center;">'.$txt['chat_save_success'].'</div>';
	}
}			
echo '
<fieldset class="adminform">
	<legend>', $txt['chat_base_set'], '</legend>
	<dl class="settings">
		<dt class="key">',$txt['chat_server_mode'], ':</dt>
		<dd>
			<p><input type="radio" name="extendserver" id="s_mode_0" value="0" onclick="changeserver(0)" ', $flashchatsetting['extendserver'] == 0 ? "checked" : "", ' ><label for="s_mode_0">', $txt['chat_server_own'], '</label></p>
			<span style="font-family: verdana,sans-serif;font-size: 0.85em;font-style: italic;">',$txt['chat_server_own_introduce'],'</span>
			<p><input type="radio" name="extendserver" id="s_mode_1" value="1" onclick="changeserver(1)"  ', $flashchatsetting['extendserver'] == 1 ? "checked" : "", '><label for="s_mode_1">', $txt['chat_server_chat'], '</label></p>
			<span style="font-family: verdana,sans-serif;font-size: 0.85em;font-style: italic;">',$txt['chat_server_chat_intrdouce'],'</span>
			<p><input type="radio" name="extendserver" id="s_mode_2" value="2" onclick="changeserver(2)" ', $flashchatsetting['extendserver'] == 2 ? "checked" : "", '><label for="s_mode_2">', $txt['chat_server_free'], '</label></p>
			<span style="font-family: verdana,sans-serif;font-size: 0.85em;font-style: italic;">',$txt['chat_server_free_introduce'],'</span>
		</dd>
	</dl>
	<dl id="login_chat" class="settings" ',$flashchatsetting['extendserver'] == 2 ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_inte_url'], ':</dt>
		<dd>
			<p>',$txt['chat_inte_war'],'</p>
			<p style="color:red;">', $boardurl ,'/Sources/LoginChat.php?username=%username%&password=%password%</p>
		</dd>
	</dl>
	<dl id="servertype" class="settings" ', $flashchatsetting['extendserver'] != 0 ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_servertype'], ':</dt>
		<dd style="padding:4px;">
			<p><input type="radio" name="servertype" value="0" id="servertype0" ', $flashchatsetting['servertype'] == 0 ? 'checked="checked"' : '', '><label for="servertype0">', $txt['chat_servertype_chat'], '</label><input type="radio" name="servertype" value="1" id="servertype1" ', $flashchatsetting['servertype'] == 1 ? 'checked="checked"' : '', '><label for="servertype1">', $txt['chat_servertype_ppv'], '</label></p>
		</dd>
	</dl>
	<dl id="chat_host" class="settings" ', (!$context['valid'] || $flashchatsetting['extendserver']) ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_server_host'], ':</dt>
		<dd style="padding:4px;">
			<input name="server_host" size="50" value=', $flashchatsetting['server_host'], '> ', $txt['example'], $context['locip'],'
		</dd>
	</dl>
	<dl id="chat_port" class="settings" ', (!$context['valid'] || $flashchatsetting['extendserver']) ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_server_port'], ':</dt>
		<dd>
			<input name="server_port" size="50" value="', $flashchatsetting['server_port'], '"> ', $txt['example'], '<span id="default_server_port">', $flashchatsetting['servertype'] == 0 ? 51127 : 51212, '</span>
		</dd>
	</dl>

	<dl id="http_port" class="settings" ', (!$context['valid'] || $flashchatsetting['extendserver']) ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_http_port'], ':</dt>
		<dd>
			<input name="server_port_h" size="50" value=', $flashchatsetting['server_port_h'], '> ', $txt['example'], '<span id="default_http_port">', $flashchatsetting['servertype'] == 0 ? 35555 : 31212, '</span>
		</dd>
	</dl>
	<dl class="settings" id="client_location" ', $flashchatsetting['extendserver'] == 2 ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_client_loc'], ':</dt>
		<dd>
			<input name="client_loc" size="50" value="', $flashchatsetting['client_loc'], '">
			<span id="client_loc0" ', $flashchatsetting['extendserver'] != 0 ? 'style="display:none;"' : '', '>Example: http://', $context['locip'], ':', $flashchatsetting['servertype'] == 0 ? 35555 : 31212, '/</span>
            <span id="client_loc1" ', $flashchatsetting['extendserver'] != 1 ? 'style="display:none;"' : '', '>Example: http://hostxxx.123flashchat.com/group_name/</span>
		</dd>
	</dl>
	<dl id="client_type" class="settings" ', ($flashchatsetting['extendserver'] == 2 || ($flashchatsetting['extendserver'] == 0 && $flashchatsetting['servertype'] == 1)) ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_clinettype'], ':</dt>
		<dd style="padding:4px;">
			<p><input type="radio" name="clienttype" value="0" id="clienttype0" ', $flashchatsetting['clienttype'] == 0 ? 'checked="checked"' : '', '><label for="clienttype0">', $txt['chat_clinettype_html'], '</label><input type="radio" name="clienttype" value="1" id="clienttype1" ', $flashchatsetting['clienttype'] == 1 ? 'checked="checked"' : '', '><label for="clienttype1">', $txt['chat_clinettype_flash'], '</label></p>
		</dd>
	</dl>
		
	<dl id="room_name" class="settings" ', ($flashchatsetting['extendserver'] != 2) ? 'style="display:none;"' : '', ' >
		<dt class="key">', $txt['chat_room'], ':</dt>
		<dd>
			<input name="room" value="', $flashchatsetting['room'], '">
		</dd>
	</dl>
	<dl id="room_list" class="settings" ', $flashchatsetting['extendserver'] == 2 ? 'style="display:none;"' : '', '>
		<dt class="key">', $txt['chat_room_list'], ':</dt>
		<dd style="padding:4px;">
			<p><input type="radio" name="room_list" value="1" id="roomlist1" ', $flashchatsetting['room_list'] == 1 ? 'checked="checked"' : '', '><label for="roomlist1">', $txt['chat_yes'], '</label>
			<input type="radio" name="room_list" value="0" id="roomlist0" ', $flashchatsetting['room_list'] == 0 ? 'checked="checked"' : '', '><label for="roomlist0">', $txt['chat_no'], '</label></p>
		</dd>
	</dl>
	<dl id="user_list" class="settings">
		<dt class="key">', $txt['chat_user_list'], ':</dt>
		<dd style="padding:4px;">
			<p><input type="radio" name="user_list" id="userlist1" value="1" ', $flashchatsetting['user_list'] == 1 ? 'checked="checked"' : '', '><label for="userlist1">', $txt['chat_yes'], '</label>
			<input type="radio" name="user_list"  id="userlist0" value="0" ', $flashchatsetting['user_list'] == 0 ? 'checked="checked"' : '', '><label for="userlist0">', $txt['chat_no'], '</label></p>
		</dd>
	</dl>
</fieldset>
<fieldset class="adminform" >
	<legend>', $txt['chat_advance_settting'], '</legend>	  
	<dl class="settings">
		<dt class="key">', $txt['chat_client_size'], '</dt>
		<dd style="padding:4px;">
			<p><input type="radio" name="fullscreen" id="c_size_1"  onclick="showchatsize(0);" value="1" ', $flashchatsetting['fullscreen'] == 1 ? 'checked="checked"' : '', '><label for="c_size_1">', $txt['chat_full_screen'], '</label></p>
			<p><input type="radio" name="fullscreen" id="c_size_0"  onclick="showchatsize(1);" value="0" ', $flashchatsetting['fullscreen'] == 0 ? 'checked="checked"' : '', '><label for="c_size_0">', $txt['chat_custom_size'], '</label>
			<span id="chatsize" ', $flashchatsetting['fullscreen'] == 1 ? 'style="display:none;"' : '', '>', $txt['chat_width'], '<input name="client_width" id="client_width" value=', $flashchatsetting['client_width'], '>', $txt['chat_height'], '<input name="client_height" id="client_height" value=', $flashchatsetting['client_height'], '></span>
		</dd>
	</dl>
	<dl class="settings">
		<dt class="key" >', $txt['chat_client_language'], ':</dt>
		<dd style="padding:4px;">
			<div id="u_al" style="font-weight: bold; ', $flashchatsetting['extendserver'] == 2 ? 'display:none;' : '', '" class="smalltext" >', $txt['chat_lan_note'], '</div>
				<div id="set_lang" ', ($flashchatsetting['extendserver'] != 2) ? 'style="display:none;"' : '', '>
			<select name="client_lang">
				<option value="auto" ', $flashchatsetting['client_lang'] == 'auto' ? 'selected = "selected"' : '', ' >', $txt['auto_detect'], '</option>
				<option value="en" ', $flashchatsetting['client_lang'] == 'en' ? 'selected = "selected"' : '', '>', $txt['english'], '</option>
				<option value="zh-CN" ', $flashchatsetting['client_lang'] == 'zh-CN' ? 'selected = "selected"' : '', '>', $txt['gb_chinese'], '</option>
				<option value="zh-TW" ', $flashchatsetting['client_lang'] == 'zh-TW' ? 'selected = "selected"' : '', '>', $txt['big5_chinese'], '</option>
				<option value="fr" ', $flashchatsetting['client_lang'] == 'fr' ? 'selected = "selected"' : '', '>', $txt['french'], '</option>
				<option value="it" ', $flashchatsetting['client_lang'] == 'it' ? 'selected = "selected"' : '', '>', $txt['italian'], '</option>
				<option value="de" ', $flashchatsetting['client_lang'] == 'de' ? 'selected = "selected"' : '', '>', $txt['german'], '</option>
				<option value="nl" ', $flashchatsetting['client_lang'] == 'nl' ? 'selected = "selected"' : '', '>', $txt['dutch'], '</option>
				<option value="hu" ', $flashchatsetting['client_lang'] == 'hu' ? 'selected = "selected"' : '', '>', $txt['hungarian'], '</option>
				<option value="es" ', $flashchatsetting['client_lang'] == 'es' ? 'selected = "selected"' : '', '>', $txt['spanish'], '</option>
				<option value="hr" ', $flashchatsetting['client_lang'] == 'hr' ? 'selected = "selected"' : '', '>', $txt['croatian'], '</option>
				<option value="tr" ', $flashchatsetting['client_lang'] == 'tr' ? 'selected = "selected"' : '', '>', $txt['turkish'], '</option>
				<option value="ar" ', $flashchatsetting['client_lang'] == 'ar' ? 'selected = "selected"' : '', '>', $txt['arabic'], '</option>
				<option value="pt" ', $flashchatsetting['client_lang'] == 'pt' ? 'selected = "selected"' : '', '>', $txt['portuguese'], '</option>
				<option value="ru" ', $flashchatsetting['client_lang'] == 'ru' ? 'selected = "selected"' : '', '>', $txt['russian'], '</option>
				<option value="ko" ', $flashchatsetting['client_lang'] == 'ko' ? 'selected = "selected"' : '', '>', $txt['korean'], '</option>
				<option value="serbian" ', $flashchatsetting['client_lang'] == 'serbian' ? 'selected = "selected"' : '', '>', $txt['serbian'], '</option>
				<option value="no" ', $flashchatsetting['client_lang'] == 'no' ? 'selected = "selected"' : '', '>', $txt['norwegian'], '</option>
				<option value="ja" ', $flashchatsetting['client_lang'] == 'ja' ? 'selected = "selected"' : '', '>', $txt['japanese'], '</option>
			</select>
			</div>
		</dd>
	</dl>
	<dl class="settings" >
		<dt class="key" >', $txt['chat_client_skin'], ':</dt>
		<dd style="padding:4px;">
		<div id="u_as" style="font-weight: bold; ', $flashchatsetting['extendserver'] == 2 ? 'display:none' : '', '" class="smalltext" >', $txt['chat_set_skin_note'], '</div>
			<div id="set_skin" ', ($flashchatsetting['extendserver'] != 2) ? 'style="display:none;"' : '', '>
			<select name="client_skin">
				<option value="default" ', $flashchatsetting['client_skin'] == 'default' ? 'selected = "selected"' : '', '>', $txt['default'], '</option>
				<option value="artistic" ', $flashchatsetting['client_skin'] == 'artistic' ? 'selected = "selected"' : '', '>', $txt['artistic'], '</option>
				<option value="beige" ', $flashchatsetting['client_skin'] == 'beige' ? 'selected = "selected"' : '', '>', $txt['beige'], '</option>
				<option value="black" ', $flashchatsetting['client_skin'] == 'black' ? 'selected = "selected"' : '', '>', $txt['black'], '</option>
				<option value="blue" ', $flashchatsetting['client_skin'] == 'blue' ? 'selected = "selected"' : '', '>', $txt['blue'], '</option>
				<option value="christmas" ', $flashchatsetting['client_skin'] == 'christmas' ? 'selected = "selected"' : '', '>', $txt['christmas'], '</option>
				<option value="green" ', $flashchatsetting['client_skin'] == 'green' ? 'selected = "selected"' : '', '>', $txt['green'], '</option>
				<option value="halloween" ', $flashchatsetting['client_skin'] == 'halloween' ? 'selected = "selected"' : '', '>', $txt['halloween'], '</option>
				<option value="lavender" ', $flashchatsetting['client_skin'] == 'lavender' ? 'selected = "selected"' : '', '>', $txt['lavender'], '</option>
				<option value="lightblue" ', $flashchatsetting['client_skin'] == 'lightblue' ? 'selected = "selected"' : '', '>', $txt['lightblue'], '</option>
				<option value="red" ', $flashchatsetting['client_skin'] == 'red' ? 'selected = "selected"' : '', '>', $txt['red'], '</option>
				<option value="thanksgiving" ', $flashchatsetting['client_skin'] == 'thanksgiving' ? 'selected = "selected"' : '', '>', $txt['thanksgiving'], '</option>
				<option value="yellow" ', $flashchatsetting['client_skin'] == 'yellow' ? 'selected = "selected"' : '', '>', $txt['yellow'], '</option>
			</select>
			</div>
		</dd>
	</dl>
</fieldset>
</div>
	<div align="center" style="margin: 1ex;"><input type="submit" value="', $txt['chat_save'], '" /></div>
	<span class="botslice clear_right"><span></span></span>
	<input type="hidden" name="server_loc" id="server_loc" value="', $context['valid'], '" />
	<input type="hidden" name="step" value="2" />
</form>
</div>


<script type="text/javascript">
function dE(id, s){
	var e = document.getElementById(id);
	e.style.display = (s == 1) ? "" : "none";
}

function showchatsize(s){
	dE("chatsize",s);
}
      
function setclienttype(){
    if(document.getElementById("servertype1").checked){
        dE("client_type",0);
    }else if(document.getElementById("servertype0").checked){
        dE("client_type",1);
    }
}
      
function chooseservertype(s){
	dE("chat_port",1);
	dE("chat_host",1);
	dE("http_port",1);
    if(s == 1){
        document.getElementById("default_server_port").innerHTML = "51212";
        document.getElementById("default_http_port").innerHTML = "31212";
        document.getElementById("client_loc0").innerHTML = document.getElementById("client_loc0").innerHTML.replace("35555","31212");
        
        document.getElementById("fc_server_port").value = "51212";
        document.getElementById("fc_server_port_h").value = "31212";
        document.getElementById("fc_client_loc").value = document.getElementById("fc_client_loc").value.replace("35555","31212");
        
        dE("client_type",0);
        
    }else{
        document.getElementById("default_server_port").innerHTML = "51127";
        document.getElementById("default_http_port").innerHTML = "35555";
        document.getElementById("client_loc0").innerHTML = document.getElementById("client_loc0").innerHTML.replace("31212","35555");
        
        document.getElementById("fc_server_port").value = "51127";
        document.getElementById("fc_server_port_h").value = "35555";
        document.getElementById("fc_client_loc").value = document.getElementById("fc_client_loc").value.replace("31212","35555");
        
        dE("client_type",1);
    }
}
      
function changeserver(id){
	if (id == 0){
		if (document.getElementById("server_loc").value == 0){
			dE("chat_port",0);
			dE("chat_host",0);
			dE("http_port",0);
		}else{
			dE("chat_port",1);
			dE("chat_host",1);
			dE("http_port",1);
		}
		dE("login_chat",1);
		dE("client_location",1);
		dE("client_loc0",1);
		dE("client_loc1",0);                
		dE("room_name",0);
		dE("u_al",1);
		dE("u_as",1);
        dE("set_skin",0);
        dE("set_lang",0);
        dE("room_list",1);
        dE("servertype",1);
		setclienttype();
	}else if (id == 1){
		dE("chat_port",0);
		dE("chat_host",0);
		dE("http_port",0);
		dE("login_chat",1);
		dE("client_location",1);                
		dE("client_loc0",0);
        dE("client_loc1",1);                
		dE("room_name",0);
		dE("u_al",1);
		dE("u_as",1);
		dE("set_skin",0);
		dE("set_lang",0);
		dE("room_list",1);
		dE("servertype",0);
		dE("client_type",1);
              
	}else{
		dE("chat_port",0);
		dE("chat_host",0);
		dE("http_port",0);
		dE("client_location",0);
		dE("room_name",1);
		dE("login_chat",0);
		dE("u_al",0);
		dE("u_as",0);
		dE("set_skin",1);
		dE("set_lang",1);
		dE("room_list",0);
		dE("servertype",0);
        dE("client_type",0);
	}
}
if(document.getElementById("s_mode_0").checked){
	changeserver(0);
} else if(document.getElementById("s_mode_1").checked){
	changeserver(1);
} else{
	changeserver(2);
}
</script>';
}
?>